<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Dec 07 20:27:02 CET 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>ItemService</title>
<meta name="date" content="2017-12-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ItemService";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/tpepsi/service/MovieService.html" title="class in org.tpepsi.service"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/tpepsi/service/ItemService.html" target="_top">Frames</a></li>
<li><a href="ItemService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.tpepsi.service</div>
<h2 title="Class ItemService" class="title">Class ItemService&lt;T extends <a href="../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a>&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.tpepsi.service.ItemService&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../org/tpepsi/service/MovieService.html" title="class in org.tpepsi.service">MovieService</a>, <a href="../../../org/tpepsi/service/TvShowService.html" title="class in org.tpepsi.service">TvShowService</a></dd>
</dl>
<hr>
<br>
<pre>@Service
public class <span class="typeNameLabel">ItemService&lt;T extends <a href="../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a>&gt;</span>
extends java.lang.Object</pre>
<div class="block">Service de CRUD des instances de Movie</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/tpepsi/service/ItemService.html#ItemService--">ItemService</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/service/ItemService.html#addItem-T-">addItem</a></span>(<a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a>&nbsp;item)</code>
<div class="block">Ajout d'un Item</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/service/ItemService.html#borrowItem-long-org.tpepsi.data.entity.User-java.lang.String-">borrowItem</a></span>(long&nbsp;id,
          <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user,
          java.lang.String&nbsp;type)</code>
<div class="block">Emprunt d'un Item</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Optional&lt;<a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/service/ItemService.html#getItem-long-">getItem</a></span>(long&nbsp;id)</code>
<div class="block">Récupération d'un Item par son id</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/service/ItemService.html#getItems--">getItems</a></span>()</code>
<div class="block">Liste des Items</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/service/ItemService.html#returnItem-long-org.tpepsi.data.entity.User-java.lang.String-">returnItem</a></span>(long&nbsp;id,
          <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user,
          java.lang.String&nbsp;type)</code>
<div class="block">Retour d'un Item</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/tpepsi/service/ItemService.html#search-java.lang.String-">search</a></span>(java.lang.String&nbsp;searchTerm)</code>
<div class="block">Liste d'Items répondant à un critère de recherche</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ItemService--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ItemService</h4>
<pre>public&nbsp;ItemService()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addItem-org.tpepsi.data.entity.Item-">
<!--   -->
</a><a name="addItem-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addItem</h4>
<pre>public&nbsp;<a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a>&nbsp;addItem(<a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a>&nbsp;item)</pre>
<div class="block">Ajout d'un Item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>item</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Item</dd>
</dl>
</li>
</ul>
<a name="getItems--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItems</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a>&gt;&nbsp;getItems()</pre>
<div class="block">Liste des Items</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List<Item></dd>
</dl>
</li>
</ul>
<a name="getItem-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItem</h4>
<pre>public&nbsp;java.util.Optional&lt;<a href="../../../org/tpepsi/service/ItemService.html" title="type parameter in ItemService">T</a>&gt;&nbsp;getItem(long&nbsp;id)</pre>
<div class="block">Récupération d'un Item par son id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Optional<Item></dd>
</dl>
</li>
</ul>
<a name="borrowItem-long-org.tpepsi.data.entity.User-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>borrowItem</h4>
<pre>public&nbsp;void&nbsp;borrowItem(long&nbsp;id,
                       <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user,
                       java.lang.String&nbsp;type)
                throws <a href="../../../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a>,
                       <a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a></pre>
<div class="block">Emprunt d'un Item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dd><code>user</code> - </dd>
<dd><code>type</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/tpepsi/exceptions/UnavailableItemException.html" title="class in org.tpepsi.exceptions">UnavailableItemException</a></code></dd>
<dd><code><a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a></code></dd>
</dl>
</li>
</ul>
<a name="returnItem-long-org.tpepsi.data.entity.User-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>returnItem</h4>
<pre>public&nbsp;void&nbsp;returnItem(long&nbsp;id,
                       <a href="../../../org/tpepsi/data/entity/User.html" title="class in org.tpepsi.data.entity">User</a>&nbsp;user,
                       java.lang.String&nbsp;type)
                throws <a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a>,
                       <a href="../../../org/tpepsi/exceptions/AllItemsAlreadyReturnedException.html" title="class in org.tpepsi.exceptions">AllItemsAlreadyReturnedException</a></pre>
<div class="block">Retour d'un Item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dd><code>user</code> - </dd>
<dd><code>type</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../org/tpepsi/exceptions/ItemNotFoundException.html" title="class in org.tpepsi.exceptions">ItemNotFoundException</a></code></dd>
<dd><code><a href="../../../org/tpepsi/exceptions/AllItemsAlreadyReturnedException.html" title="class in org.tpepsi.exceptions">AllItemsAlreadyReturnedException</a></code></dd>
</dl>
</li>
</ul>
<a name="search-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>search</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a>&gt;&nbsp;search(java.lang.String&nbsp;searchTerm)</pre>
<div class="block">Liste d'Items répondant à un critère de recherche</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searchTerm</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List<Item></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../org/tpepsi/service/MovieService.html" title="class in org.tpepsi.service"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/tpepsi/service/ItemService.html" target="_top">Frames</a></li>
<li><a href="ItemService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
